## com.puppycrawl.tools.checkstyle.api
Interface Contextualizable

All Known Subinterfaces:
  FileSetCheck

All Known Implementing Classes:
  AbstractBeanCheck, AbstractClassCouplingCheck, AbstractClassNameCheck, AbstractComplexityCheck, AbstractFileSetCheck, AbstractFormatCheck, AbstractHeaderCheck, AbstractIllegalCheck, AbstractInterfaceCheck, AbstractJ2eeCheck, AbstractNameCheck, AbstractNestedDepthCheck, AbstractOptionCheck, AbstractSuperCheck, AbstractTypeAwareCheck, AbstractViolationReporter, AnonInnerLengthCheck, ArrayTrailingCommaCheck, ArrayTypeStyleCheck, AutomaticBean, AvoidInlineConditionalsCheck, AvoidNestedBlocksCheck, AvoidStarImportCheck, BooleanExpressionComplexityCheck, Check, Checker, ClassDataAbstractionCouplingCheck, ClassFanOutComplexityCheck, ConstantNameCheck, CovariantEqualsCheck, CrossLanguageRegexpHeaderCheck, CyclomaticComplexityCheck, DeclarationCollector, DeclarationOrderCheck, DefaultComesLastCheck, DefaultLogger, DescendantTokenCheck, DesignForExtensionCheck, DoubleCheckedLockingCheck, EmptyBlockCheck, EmptyForInitializerPadCheck, EmptyForIteratorPadCheck, EmptyStatementCheck, EntityBeanCheck, EqualsHashCodeCheck, ExecutableStatementCountCheck, ExplicitInitializationCheck, FallThroughCheck, FileContentsHolder, FileLengthCheck, FinalClassCheck, FinalLocalVariableCheck, FinalParametersCheck, FinalStaticCheck, GenericIllegalRegexpCheck, HeaderCheck, HiddenFieldCheck, HideUtilityClassConstructorCheck, IllegalCatchCheck, IllegalImportCheck, IllegalInstantiationCheck, IllegalThrowsCheck, IllegalTokenCheck, IllegalTokenTextCheck, IllegalTypeCheck, ImportControlCheck, ImportOrderCheck, IndentationCheck, InnerAssignmentCheck, InterfaceIsTypeCheck, JavadocMethodCheck, JavadocStyleCheck, JavadocTypeCheck, JavadocVariableCheck, JavaNCSSCheck, JUnitTestCaseCheck, LeftCurlyCheck, LineLengthCheck, LocalFinalVariableNameCheck, LocalHomeInterfaceCheck, LocalInterfaceCheck, LocalVariableNameCheck, MagicNumberCheck, MemberNameCheck, MessageBeanCheck, MethodLengthCheck, MethodNameCheck, MethodParamPadCheck, MissingCtorCheck, MissingSwitchDefaultCheck, ModifiedControlVariableCheck, ModifierOrderCheck, MultipleStringLiteralsCheck, MultipleVariableDeclarationsCheck, MutableExceptionCheck, NeedBracesCheck, NestedIfDepthCheck, NestedTryDepthCheck, NewlineAtEndOfFileCheck, NoWhitespaceAfterCheck, NoWhitespaceBeforeCheck, NPathComplexityCheck, OperatorWrapCheck, PackageDeclarationCheck, PackageHtmlCheck, PackageNameCheck, ParameterAssignmentCheck, ParameterNameCheck, ParameterNumberCheck, ParenPadCheck, RedundantImportCheck, RedundantModifierCheck, RedundantThrowsCheck, RegexpCheck, RegexpHeaderCheck, RemoteHomeInterfaceCheck, RemoteInterfaceCheck, RequiredRegexpCheck, RequireThisCheck, ReturnCountCheck, RightCurlyCheck, SessionBeanCheck, SeverityMatchFilter, SimplifyBooleanExpressionCheck, SimplifyBooleanReturnCheck, StaticVariableNameCheck, StrictDuplicateCodeCheck, StringLiteralEqualityCheck, SuperCloneCheck, SuperFinalizeCheck, SuppressionCommentFilter, SuppressionFilter, TabCharacterCheck, ThisParameterCheck, ThisReturnCheck, ThrowsCountCheck, TodoCommentCheck, TrailingCommentCheck, TranslationCheck, TreeWalker, TypecastParenPadCheck, TypeNameCheck, UncommentedMainCheck, UnnecessaryParenthesesCheck, UnusedImportsCheck, UpperEllCheck, VisibilityModifierCheck, WhitespaceAfterCheck, WhitespaceAroundCheck, WriteTagCheck, XMLLogger

    public interface Contextualizable

A Component that needs context information from it's container to work. The container will create a Context object and pass it to this Contextualizable. Contextualization will occur before configuration. The general idea of Context/Contextualizable was taken from Jakarta's Avalon framework.

Author:
  lkuehne

Method Summary
`void` `contextualize(Context aContext)` Sets the context for this Component.

Method Detail

### contextualize

    void contextualize(Context aContext)
                       throws CheckstyleException

  Sets the context for this Component.

  Parameters:
    `aContext` - the context.
  Throws:
    `CheckstyleException` - if there is a contextualization error.

Back to the Checkstyle Home Page